Bug 480473

Summary: [slingshot] Adapt to font package renamings
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: slingshotAssignee: Gwyn Ciesla <gwync>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fonts-bugs, gwync
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-24 19:08:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 477336    
Bug Blocks: 480443    

Description Nicolas Mailhot 2009-01-17 12:45:42 UTC
Notification of font package renamings

Comment 1 Nicolas Mailhot 2009-01-17 13:02:02 UTC
FPC unexpectedly refused to ratify a proposal that put into writing our de-facto font package naming rules for the past years, and requested naming changes. As a result many font packages have been or will be renamed soon (including recently created packages)

We have detected your package depends on such a font package. Please change your dependencies accordingly.

See also
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#fpc_renaminghttp://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#What_if_my_package_bundles_Bitstream_Vera.2C_Arev.2C_DejaVu_LGC_or_another_Bitstream_Vera_font_derivative.3F

To ease the transition and avoid breaking F11 Alpha DejaVu has already been renamed but still declares its old names for full via rpm Provides. Those provides will be removed for Fedora 11 beta, to ensure no remaining legacy deps remains in the distribution. In the meanwhile packages depending on DejaVu full won't break and can be adapted at your leasure.

Comment 2 Nicolas Mailhot 2009-01-19 10:24:59 UTC
[Natural language informal translation]

In this issue you're just warned font packages you depend on have been/will be
renamed shortly, so your package dependencies will break. There is not much to do except changing your deps once that happens (dejavu has been renamed, liberation has in koji but has not hit rawhide yet, smc had been
too, and you may depend on others yet)

[Just to be 100% clear I didn't ask for this last renaming run, FPC demanded naming changes for "consistency" against my advice, I'm only the good little soldier who gets to implement their decision and be yelled at, so if you're not happy complain at them not me.]

Comment 3 Gwyn Ciesla 2009-01-23 13:59:05 UTC
Needs freefont to be renamed.

Comment 5 Nicolas Mailhot 2009-02-18 19:33:31 UTC
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29

Comment 6 Gwyn Ciesla 2009-03-24 19:08:33 UTC
Fixed and built in rawhide for new gnu-free-fonts.